const User = require('./models/user.model');
const bcrypt = require('bcryptjs');
const SALT_WORK_FACTOR = 10;

function initUsers() {

  // create test user
  User.findOne({login: 'test'}, (err, test) => {
    if (err) {
      console.log('cannot verify if test user already exists')
    }
    else if (!test) {
      const salt = bcrypt.genSaltSync(SALT_WORK_FACTOR);
      const password = bcrypt.hashSync('azer', salt);
      new User({
        login: "test",
        password: password,
      }).save(err => {
        if (err) {
          console.log("error", err);
        }
        console.log("added test to users collection");
      });
    }
  });
  // create jean dupond user
  User.findOne({login: 'toto'}, (err, toto) => {
    if (err) {
      console.log('cannot verify if toto user already exists')
    }
    else if (!toto) {
      const salt = bcrypt.genSaltSync(SALT_WORK_FACTOR);
      const password = bcrypt.hashSync('azer', salt);
      new User({
        login: "toto",
        password: password,
      }).save(err => {
        if (err) {
          console.log("error", err);
        }
        console.log("added toto to users collection");
      });
    }
  })

}

module.exports = {
  initUsers,
};


