const express = require('express');
const router = express.Router();

// Require the controllers WHICH WE DID NOT CREATE YET!!
const userController = require('../controllers/user.controller');
const authController = require('../controllers/auth.controller');

const asyncRoute = ctrl =>
  (req, res, next) => {
    Promise.resolve(ctrl(req, res, next))
      .catch(next);
  };


router.get('/user/getusers', authController.verifyToken, asyncRoute(userController.getUsers));
router.get('/user/getuser/:login', authController.verifyToken, asyncRoute(userController.getUser));

router.post('/auth/signin', asyncRoute(authController.signIn));

module.exports = router;
